using SteamWare;
using System;
using System.Threading;

namespace NKC_WF.ErrorPages
{
    public partial class Oops : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack)
            {
                var thisMaster = ((SiteContent)this.Master);
                thisMaster.showSearch = false;
                thisMaster.enableAnonym = true;
            }
            cmp_errorDetail.ErrorTitle = traduci("SomeErrorOccurred");
            cmp_errorDetail.ErrorExpl = string.IsNullOrEmpty(memLayer.ML.QSS("aspxerrorpath"))?"N.A.": traduci(memLayer.ML.QSS("aspxerrorpath"));
            cmp_errorDetail.UserName = string.IsNullOrEmpty(User.Identity.Name) ? "N.A." : User.Identity.Name;
        }
    }
}